Subject: Brilliant Plan? More poster presentations, fewer tourist drafts

From: Michael Richardson <[email-masked]>
Date: Sun, 30 Jul 2017 22:34:24 -0400

I believe that IETF meetings and WG chairs are plagues by Internet Drafts
that often deal with solutions to problems that nobody really has.

WG chairs are often unsure what are serious ideas, and what are just IDs written
so that the researcher will be allowed to travel to IETF.  So they allocate
time for a document that has had no ML discussion, all authors from the same
institute, and may not even be clearly in or our of scope to the charter.

I suggest instead that we have a poster board session for new ideas.
Do it during the reception, bits and bytes, and maybe after the plenary.
Have people sign up, limit the number to no more than 50 (maybe 30).

The poster presenter should be collecting contacts to read the drafts (old
fashion business cards would work well...).

This will free our WG sessions schedules.

(BTW: sometimes "nobody" == some agency that does not wish to reveal itself, btw)

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: "Joel M. Halpern" <[email-masked]>
Date: Sun, 30 Jul 2017 23:19:52 -0400

There are so many other factors that I find commenting on this thread 
somewhat difficult.  I will try to highlight a few points:

Sometimes, the best way to get negative feedback to draft authors is to 
have them present, so that they can hear live from multiple people about 
problems.  (Yes, WG chairs frequently try to give early feedback.  But 
sometimes authors wonder for fair reasons whether they are hearing the 
whole story.)

Having tried twice to engage one of current working groups in open 
discussion, and once with another working group with slightly more 
constraints, in the absence of clear and controversial issues it can be 
very hard to get conversation going that is effective.  (It is 
surprising what a WG can find to discuss in such circumstances. 
Sometimes those surprises are helpful.  But often not.)

Also, i want to second Fred Baker's comment about slides.  I hope that 
presenters are not reading their slides.  The slides should be guides to 
the topic being discussed, and ways of making sure all the important 
points get mentioned  They can then serve as a reminder to folks who 
particiapted as to what was said and what they thought.  So while I want 
the slides in advance, I do not consider that a substitute for the WG 
presentation and discussion.  And part of that is that dsicussion often 
needs context-setting to get a useful effect.

Yours,
Joel

---

From: Toerless Eckert <[email-masked]>
Date: Mon, 31 Jul 2017 07:49:16 +0200

To me the most basic issue is throwaway work. I think everything thats not
peer reviewed and published in a way that it can be read and understood from
proceeding is throwaway work. Aka: Discussions ending up in RFC is fine,
investment into slides most often not.

If someone has slides or posters nobody understands without someone explaining
them and they do not lead to RFCs, thats perfect for "pay-for-show" slots like bits&bytes.

But i would prefer to also have options for peer reviewed material beyond what we
have: high quality tutorial and new idea work, single event (aka: beyond the
multi-year BCPs we have). WG chairs could get those reviewed by select WG
participants, material must be readable offline from proceeding. And of course
deadline for submission would have to be a lot different from current WG material.

Slots to present would need to be explored. I'd be a fan of for example all-day
tutorial (saturday ?). Could even be paid for unless you're a student. And if this
starts to make money for IETF, speakers could get IETF fee waived (to further
motivate to create material).

I am a lot more interested in motivating tutorial material creation than
new ideas because for new ideas, we do have pretty well working BAR/real-BOF
methods that we just need to better explain.

But with more and more IETF RFC published, the barrier of entrance into
IETF work is getting higher and higher, whether it is for industries or
individuals. We have seen this time over time when new work is proposed.
Yes, sunday tutorials are not bad, but they do not yet result in readable
published material for after the event.

Cheers
    Toerless

-- 
---
[email-masked]

---

From: Melinda Shore <[email-masked]>
Date: Sun, 30 Jul 2017 21:52:06 -0800

The original proposal started with the assumption that
working group time is not being well-spent.  I think we've
had this discussion often enough, and with enough consistency
about the character of the problem (presentations), to suggest
that if it's not true it's quite broadly perceived as true.
I'm not sure that there's much to be gained from rehashing
the presentations-waste-time discussion, to be honest, but
there may be value in focusing on possible what-can-be-dones.
I think, frankly, that we'll solve the presentations problem
in roughly the same time frame that we start doing decision-
making in a way that reflects actual participant consensus (i.e.
never, at least not at our current scale).

I like the proposal to allocate more time to actual work, whether
it's extending the hackathon or setting aside time for design
teams (granted, there's an obvious risk of design team sessions
turning into presentation-y working group meetings with slides
and all that).  It doesn't seem likely that enough working
groups would be willing to give up their full-length sessions
to make time more productive, er, development-focused but I'd
love to be shown wrong on that.

Melinda

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Mon, 31 Jul 2017 08:39:41 +0000

Hello Melinda 

There's a fine line between hackathon and interop test. My groups use both for different purposes.

 With hackathon we do early proof of concept, ports on new platforms, skill exchange. This is mostly early work, in advance of phase from the WG. 

The plug tests are at least as useful and that's where we realize that our specs can be improved before last call. So far be got help and funding from ETSI on the days prior to IETF but those days are getting crowded now.

Regards,

Pascal

> Le 31 juil. 2017 à 07:52, Melinda Shore <[email-masked]> a écrit :
>

---

From: "Black, David" <[email-masked]>
Date: Mon, 31 Jul 2017 13:55:44 +0000

Michael actually identified the root of this problem ...

> time for a document that has had no ML discussion, ...

... that's a bad practice that ought to be discouraged.

At least in opsawg (where Melinda used to be a co-chair) and tsvwg (yours truly is a co-chair) have a standing practice of not doing that by default.  In tsvwg, if time permits and the draft seems interesting, we might allocate a few minutes, or include mention of the draft in the chairs slides, but serious expenditure of WG meeting time is only justified when there's actual WG interest in the draft.  Even then, known "bad ideas" will not get time, for example, bringing a transport protocol draft to tsvwg that ignores congestion control will result in explanation of whatever portion of the word "no" is necessary (don't laugh, this has happened).

Thanks, --David

> -----Original Message-----
> From: WGChairs [mailto:[email-masked]] On Behalf Of Melinda
> Shore
> Sent: Monday, July 31, 2017 1:52 AM
> To: [email-masked]
> Subject: Re: Brilliant Plan? More poster presentations, fewer tourist drafts
>

---

From: Toerless Eckert <[email-masked]>
Date: Mon, 31 Jul 2017 17:25:43 +0200

> At least in opsawg (where Melinda used to be a co-chair) and tsvwg (yours truly is a co-chair) have a standing practice of not doing that by default.  In tsvwg, if time permits and the draft seems…

That is such a well-known TSV society membership handshake that you
should not be able to score any filtering points with it anymore.

It is also not compliant with current IETF inclusiveness standards to let
newcomers from other cultural backgrounds such as TDM worlds bounce on this.

I thought we had estabished across the IETF the TSV Cultural Admission Ceremonial to
avoid such exclusion: "Early TSV review". 

Cheers
    toerless

---

From: Stewart Bryant <[email-masked]>
Date: Mon, 31 Jul 2017 17:33:53 +0100

On 31/07/2017 14:55, Black, David wrote:
> Even then, known "bad ideas" will not get time, for example, bringing a transport protocol draft to tsvwg that ignores congestion control will result in explanation of whatever portion of the word "no" is necessary (don't laugh, this has happened).

So whilst this is reasonable on the open Internet. On a private network, 
or an isolated fraction of a network that might be created by, for 
example, a network slice, this position is not reasonable. My 
application on my slice should be able to use whatever transport design 
makes sense to that application. If this is something that needs to 
interwork then it needs to be possible to standardize it.

- Stewart

---

From: "Black, David" <[email-masked]>
Date: Mon, 31 Jul 2017 16:58:57 +0000

> example, a network slice, this position is not reasonable.

That proposed protocol was for the open internet.

Separate congestion control considerations are not only possible for controlled environments, but have been specified in practice - RFC 7510 and RFC 8086 contain worked examples.

Moreover, a general statement of this principle in the context of UDP usage can be found in section 3.6 of RFC 8085, which is a BCP.

Thanks, --David

> From: Stewart Bryant [mailto:[email-masked]]
> Sent: Monday, July 31, 2017 12:34 PM
> To: Black, David <[email-masked]>; Melinda Shore
> <[email-masked]>; [email-masked]
> > Even then, known "bad ideas" will not get time, for example, bringing a
> transport protocol draft to tsvwg that ignores congestion control will result in
> explanation of whatever portion of the word "no" is necessary (don't laugh,
> this has happened).
>